FROM registry.cn-shanghai.aliyuncs.com/tamp/pcal:V2.1

# RUN echo http://mirrors.aliyun.com/alpine/v3.12/main > /etc/apk/repositories
# RUN echo http://mirrors.aliyun.com/alpine/v3.12/community >> /etc/apk/repositories
# RUN apk update
# RUN apk --update add --no-cache gcc g++ tzdata libffi-dev libxslt-dev jpeg-dev libressl-dev musl-dev  unzip
# RUN apk --update add --no-cache freetype-dev freetds-dev  gfortran libgcc libquadmath  libgfortran lapack-dev
# RUN apk --update add --no-cache tzdata
# RUN apk --update add --no-cache libffi-dev
# RUN apk --update add --no-cache libxslt-dev
# RUN apk --update add --no-cache jpeg-dev
# RUN apk --update add --no-cache libressl-dev musl-dev 

ENV  TIME_ZONE Asia/Shanghai
ENV PIPURL "https://pypi.tuna.tsinghua.edu.cn/simple"

RUN echo "${TIME_ZONE}" > /etc/timezone
RUN ln -sf /usr/share/zoneinfo/${TIME_ZONE} /etc/localtime

# WORKDIR /logs
WORKDIR /projects

COPY requirements.txt .
COPY app/ app
COPY start.sh .

# RUN pip --no-cache-dir install  -i ${PIPURL} --upgrade pip
RUN pip3 --no-cache-dir install -r requirements.txt -i https://pypi.douban.com/simple

CMD sh start.sh
